Subject: Re: [bug#77023] [PATCH 0/3] home: services: Add readymedia.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 14 May 2025 22:58:33 +0900

Hi,

Sughosha <[email-masked]> writes:

> On Wednesday, May 14, 2025 3:19:35 PM GMT+5:30 Ludovic Courtès wrote:
>> Hi,
>> 
>> Sughosha <[email-masked]> writes:
>> > I have sent the v5 patch, does it pass this test? I don't know how to run
>> > this test.
>> 
>> You can run “make check-system TESTS=readymedia”.
>> 
>> See
>> <https://guix.gnu.org/manual/devel/en/html_node/Running-the-Test-Suite.html>
>> .
>> 
>> Ludo’.
>
> The test passed successfully, with the v5 patch that I sent above.

It didn't for me, I got:

--8<---------------cut here---------------start------------->8---
Test begin:
  test-name: "ReadyMedia service is listening for connections"
  source-file: "/gnu/store/jp9x56qq0dalb01nh61l6zv1w8vss4rm-readymedia-test-builder"
  source-line: 1
  source-form: (test-assert "ReadyMedia service is listening for connections" (wait-for-tcp-port 8200 marionette))
Test end:
  result-kind: fail
  actual-value: #f
  actual-error: (misc-error #f "nobody's listening on port ~S" (("127.0.0.1" 8200)) #f)
Group end: readymedia
# of expected passes      11
# of unexpected failures  1
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim